NAMEI(1)

NUME
namei - urmărește un nume de rută până când este găsit un punct terminal

REZUMAT

namei [opțiuni] nume-rută...

DESCRIERE

namei interpretează argumentele sale ca fiind nume de rute către orice tip de fișier Unix (legături simbolice, fișiere, directoare și așa mai departe). namei urmărește apoi fiecare nume de rută până când este găsit un punct final (un fișier, un director, un nod de dispozitiv etc.). În cazul în care găsește o legătură simbolică, arată legătura și începe să o urmărească, cu o indentare a textului pentru a arăta contextul.

Acest program este util pentru a găsi probleme legate de „prea multe niveluri de legături simbolice”.

Pentru fiecare linie de ieșire, namei utilizează următoarele caractere pentru a identifica tipul de fișier găsit:

       f: = numele rutei în curs de rezolvare
        d = director
        l = legătură simbolică (atât legătura cât și conținutul acesteia sunt afișate)
        s = soclu
        b = dispozitiv bloc
        c = dispozitiv caracter
        p = FIFO (conductă cu nume)
        - = fișier obișnuit
        ? = o eroare de orice fel

namei afișează un mesaj informativ atunci când numărul maxim de legături simbolice pe care acest sistem le poate avea a fost depășit.

OPȚIUNI

-l, --long
    Utilizează formatul de listare lungă (la fel ca -m -o -v).

-m, --modes
    Afișează biții de mod pentru fiecare tip de fișier în stilul ls(1), de exemplu „rwxr-xr-x”.

-n, --nosymlinks
    Nu urmărește legăturile simbolice.

-o, --owners
    Afișează numele proprietarului și al grupului pentru fiecare fișier.

-v, --vertical
    Aliniază pe verticală modurile și proprietarii.

-x, --mountpoints
    Afișează directoarele de puncte de montare cu „D” în loc de „d”.

-Z, --context
    Afișează contextul de securitate al fișierului sau „?” dacă nu este disponibil. Suportul pentru contexte de securitate este opțional și nu trebuie să fie compilat în binarul namei.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

ERORI

Urmează să fie descoperite... ;).

AUTORI

Programul original namei a fost scris de

Programul a fost rescris de

CONSULTAȚI ȘI

ls(1), stat(1), symlink(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda namei face parte din pachetul util-linux care poate fi descărcat de la